<% @ Language=VBScript %>
<% Option Explicit %>
<!--#include file="common.asp" -->
<%
'****************************************************************************************
'**  Copyright Notice    
'**
'**  Web Wiz NewsPad(TM)
'**  http://www.webwiznewspad.com
'**                                                              
'**  Copyright (C)2001-2007 Web Wiz(TM). All Rights Reserved.     
'**  
'**  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS UNDER LICENSE FROM 'WEB WIZ'.
'**  
'**  IF YOU DO NOT AGREE TO THE LICENSE AGREEMENT THEN 'WEB WIZ' IS UNWILLING TO LICENSE 
'**  THE SOFTWARE TO YOU, AND YOU SHOULD DESTROY ALL COPIES YOU HOLD OF 'WEB WIZ' SOFTWARE
'**  AND DERIVATIVE WORKS IMMEDIATELY.
'**  
'**  If you have not received a copy of the license with this work then a copy of the latest
'**  license contract can be found at:-
'**
'**  http://www.webwizguide.com/license
'**
'**  For more information about this software and for licensing information please contact
'**  'Web Wiz' at the address and website below:-
'**
'**  Web Wiz, Unit 10E, Dawkins Road Industrial Estate, Poole, Dorset, BH15 4JD, England
'**  http://www.webwizguide.com
'**
'**  Removal or modification of this copyright notice will violate the license contract.
'**
'**************************************************************************************** 



'*************************** SOFTWARE AND CODE MODIFICATIONS **************************** 
'**
'** MODIFICATION OF THE FREE EDITIONS OF THIS SOFTWARE IS A VIOLATION OF THE LICENSE  
'** AGREEMENT AND IS STRICTLY PROHIBITED
'**
'** If you wish to modify any part of this software a license must be purchased
'**
'****************************************************************************************


'Set the response buffer to true as we maybe redirecting
Response.Buffer = True 


'Make sure this page is not cached
Response.Expires = -1
Response.ExpiresAbsolute = Now() - 2
Response.AddHeader "pragma","no-cache"
Response.AddHeader "cache-control","private"
Response.CacheControl = "No-Store"


'see if the web front end is active
Call WebFrontEnd()



'Dimension variables
Dim strSearchCriteria		'Holds the search criteria
Dim intCategory			'Holds the category we are looking at
Dim lngNewsletterID		'Holds saved newsletter ID
Dim strNewsletterSubject	'Holds saved newsletter Subject
Dim strNewsletterNote		'Holds saved newsletter Note
Dim dtmNewsletterDate		'Holds saved newsletter Date sent
Dim blnDisplay			'Set to true if displayed to public
Dim blnHTMLFormat		'Set to true if in HTML format
Dim sarryNewsletter		'Array to hold newsltter recordset	
Dim intTotalRecords		'Total number of records in array
Dim intTotalRecordsPages	'Total number of pages
Dim intStartPosition		'Start position in array
Dim intEndPosition		'End position in array
Dim intCurrentRecord		'Current record position
Dim intRecordPositionPageNum	'Current page position
Dim intRecordsPerPage		'Records displayed on each page
Dim intPageLinkLoopCounter	'Loop counter for displaying links to other pages


'Number of records per page
intRecordsPerPage = intNewsBulletinsPerPage


'If this is the first time the page is displayed then the Forum Topic record position is set to page 1
If isNumeric(Request.QueryString("PN")) = false Then
	intRecordPositionPageNum = 1
ElseIf Request.QueryString("PN") < 1 Then
	intRecordPositionPageNum = 1
'Else the page has been displayed before so the Forum Topic record postion is set to the Record Position number
Else
	intRecordPositionPageNum = CInt(Request.QueryString("PN"))
End If



'Get the category to be displayed
If isNumeric(Request.QueryString("CAT")) = false Then
	intCategory = 0
Else
	intCategory = CInt(Request.QueryString("CAT"))
End If


'Get the search critiria if this is a search (clean it up incase of SQL injection
If NOT Request.QueryString("KW") = "" Then
	strSearchCriteria = formatSQLInput(Trim(Mid(Request.QueryString("KW"), 1, 20)))
End If



'Initalise the strSQL variable with an SQL statement to query the database
strSQL = "SELECT " & strDbTable & "Newsletter.Newsletter_ID, " & strDbTable & "Newsletter.Newsletter_subject, " & strDbTable & "Newsletter.Newsletter_date, " & strDbTable & "Newsletter.Description, " & strDbTable & "Newsletter.Author " & _
	"From " & strDbTable & "Newsletter  "

'If we are requiring a category we need to join the table
If intCategory > 0 Then
	strSQL = strSQL & ", " & strDbTable & "NewsCat " & _
	"WHERE " & strDbTable & "Newsletter.Newsletter_ID = " & strDbTable & "NewsCat.Newsletter_ID AND "
End If	
	
'See if we need a where cluase
If strSearchCriteria <> "" AND intCategory = 0 Then strSQL = strSQL  & "WHERE "

'If we need to filter the category include that as well
If intCategory > 0 Then strSQL = strSQL & strDbTable & "NewsCat.Cat_ID = " & intCategory & " "

'Put in an SQL AND if both WHERE cluases are in use
If strSearchCriteria <> "" AND intCategory > 0 Then  strSQL = strSQL  & " AND "

'If a search cretiria is selected then run a where like query
If strSearchCriteria <> "" Then
	strSQL = strSQL & "(" & strDbTable & "Newsletter.Newsletter_subject Like '%" & strSearchCriteria & "%' OR " & strDbTable & "Newsletter.Description Like '%" & strSearchCriteria & "%')"
End If

strSQL = strSQL & "ORDER BY " & strDbTable & "Newsletter.Newsletter_date DESC;"


'SQL Query Array Look Up table
'0 = Newsletter_ID
'1 = Newsletter_subject
'2 = Newsletter_date
'3 = Description
'4 = Author

	
'Set error trapping
On Error Resume Next

'Query the database
rsCommon.Open strSQL, adoCon

'If an error has occurred write an error to the page
If Err.Number <> 0 Then	Call errorMsg("An error has occurred while executing SQL query on database.", "get_newsletter_data", "default.asp")

'Disable error trapping
On Error goto 0

'If records returned read them into an array
If NOT rsCommon.EOF Then
	
	
	'Read in the newsletter recordset into an array
	sarryNewsletter = rsCommon.GetRows()

	'Count the number of records
	intTotalRecords = Ubound(sarryNewsletter,2) + 1

	'Count the number of pages for the topics using FIX so that we get the whole number and  not any fractions
	intTotalRecordsPages = FIX(intTotalRecords / intRecordsPerPage)

	'If there is a remainder or the result is 0 then add 1 to the total num of pages
	If intTotalRecords Mod intRecordsPerPage > 0 OR intTotalRecordsPages = 0 Then intTotalRecordsPages = intTotalRecordsPages + 1

	'Start position
	intStartPosition = ((intRecordPositionPageNum - 1) * intRecordsPerPage)

	'End Position
	intEndPosition = intStartPosition + intRecordsPerPage

	'Get the start position
	intCurrentRecord = intStartPosition
End If



'Clean up
rsCommon.Close




%>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta name="copyright" content="Copyright (C) 2001-2007 Web Wiz(TM)." />
<title><% = strWebsiteName %><% If blnLCode Then Response.Write(" (Powered by Web Wiz NewsPad)") %></title>
<!--#include file="includes/browser_page_encoding_inc.asp" -->

<%
'***** START WARNING - REMOVAL OR MODIFICATION OF THIS CODE WILL VIOLATE THE LICENSE AGREEMENT ******
If blnLCode Then	
 	Response.Write(vbCrLf & "<meta name=""description"" content=""This is a Newsletter Software is powered by Web Wiz NewsPad. To find out about Web Wiz NewsPad, go to http://www.webwiznewspad.com"" />" & _
 	vbCrLf & "<meta name=""keywords"" content=""news, bulletin, newsletter"" />")
End If


Response.Write(vbCrLf & vbCrLf & "<!--//" & _
vbCrLf & "/* *******************************************************" & _
vbCrLf & "Software: Web Wiz NewsPad(TM) ver. " & strVersion & "" & _
vbCrLf & "Info: http://www.webwiznewspad.com" & _
vbCrLf & "Copyright: (C)2001-2007 Web Wiz(TM). All rights reserved" & _
vbCrLf & "******************************************************* */" & _
vbCrLf & "//-->" & vbCrLf)
'***** END WARNING - REMOVAL OR MODIFICATION OF THIS CODE WILL VIOLATE THE LICENSE AGREEMENT ******
%>
<link rel="alternate" type="application/rss+xml" title="RSS 2.0" href="RSS_news_feed.asp" />
<script language="JavaScript" src="includes/default_javascript.js"></script>
<!-- #include file="includes/header.asp" -->
<div align="center">
 <h1><% = strWebsiteName %></h1>
</div>
<br />
<!-- #include file="includes/page_layout_header_inc.asp" -->
<%
'***** START WARNING - REMOVAL OR MODIFICATION OF THIS CODE WILL VIOLATE THE LICENSE AGREEMENT ******
If blnACode Then
	Response.Write("<div align=""center"">" & strSponsor1 & "</div><br />")
ElseIf strMyGoogleAdSenseID <> "pub-9026955576675812" Then
	Response.Write("<div align=""center"">" & strAdSenseCodeHeader & "</div><br />")
End If
'***** END WARNING - REMOVAL OR MODIFICATION OF THIS CODE WILL VIOLATE THE LICENSE AGREEMENT ******
%>
   <table width="100%" border="0" cellspacing="3" cellpadding="0">
    <tr>
     <td><a href="RSS_news_feed.asp" target="_blank"><img src="<% = strImagePath %>rss.png" alt="<% = strTxtRSSNewsBulletinFeed %>" border="0" /></a></td>
     <td align="right"><%

'If there is more than one page display links to the others
If intTotalRecordsPages > 1 Then
	
	'Call sub routime to create links to mutiple pages
	If strSearchCriteria <> "" AND intCategory > 0 Then 
		Call PageLink("default.asp?KW=" & strSearchCriteria & "&CAT=" & intCategory & "&")
	ElseIf strSearchCriteria <> "" Then
		Call PageLink("default.asp?KW=" & strSearchCriteria & "&")
	ElseIf intCategory > 0 Then
		Call PageLink("default.asp?CAT=" & intCategory & "&")
	Else
		'Call sub routime to create links to mutiple pages
		Call PageLink("default.asp?")
	End If
End If

%></td>
    </tr>
   </table>
   <table cellpadding="3" cellspacing="1" class="tableBorder" style="width: 100%; table-layout: fixed;"><%


'If there are no topics to display, show a message saying so
If intTotalRecords <= 0 Then

	'If there are no Topic's to display then display the appropriate error message
	Response.Write(vbCrLf & "  <tr class=""tableRow""><td colspan=""8"" align=""center""><br /><strong>")
	
	'Select which message to display
	If strSearchCriteria <> "" Then 
		Response.Write(strTxtYourSearchFailedToFindResults)
	ElseIf intCategory > 0 Then
		Response.Write(strTxtThereAreNoNewsBulletinsToDisplay & " " & strTxtInThisCategory)
	Else
		Response.Write(strTxtThereAreNoNewsBulletinsToDisplay)
	End If
	
	Response.Write("</strong><br /><br /></td></tr>")

'Else there the are topic's so write the HTML to display the topic names and a discription
Else


	'Do....While Loop to loop through the recorset to display the forum topics
	Do While intCurrentRecord < intEndPosition

		'If there are no topic records left to display then exit loop
		If intCurrentRecord >= intTotalRecords Then Exit Do
			
			'SQL Query Array Look Up table
			'0 = Newsletter_ID
			'1 = Newsletter_subject
			'2 = Newsletter_date
			'3 = Description
			'4 = Author
			
%>
    <tr class="tableRow">
     <td class="text"><h1>
       <% = sarryNewsletter(1,intCurrentRecord) %>
      </h1>
      <em>
      <% If sarryNewsletter(4,intCurrentRecord) <> "" Then Response.Write(strTxtBy & " " & sarryNewsletter(4,intCurrentRecord) & " - ") %>
      <% = FormatDateTime(sarryNewsletter(2,intCurrentRecord), vbLongDate) %> - <a href="newsletter.asp?article=<% = sarryNewsletter(0,intCurrentRecord) %>"><% = strTxtViewFullNewsletter %></a></em> <br />
      <br />
      <div class="msgBody" style="float:left; overflow:auto;">
       <% If sarryNewsletter(3,intCurrentRecord) = "" Then Response.Write(strTxtNoNewsBulltinRelatingToNewsletter & "<br /><br />") Else Response.Write(sarryNewsletter(3,intCurrentRecord)) %>
      </div>
      <br />
      <em><a href="newsletter.asp?article=<% = sarryNewsletter(0,intCurrentRecord) %>"><% = strTxtViewFullNewsletter %></a></em><br />
      <br />
     </td>
    </tr><%

		'Move to the next record
		intCurrentRecord = intCurrentRecord + 1
	Loop
End If


        %>
   </table><%

'If there is more than one page display links to the others
If intTotalRecordsPages > 1 Then
	
	Response.Write("<div align=""right"" style=""padding: 3px;"">")
	
	'Call sub routime to create links to mutiple pages
	If strSearchCriteria <> "" AND intCategory > 0 Then 
		Call PageLink("default.asp?KW=" & strSearchCriteria & "&CAT=" & intCategory & "&")
	ElseIf strSearchCriteria <> "" Then
		Call PageLink("default.asp?KW=" & strSearchCriteria & "&")
	ElseIf intCategory > 0 Then
		Call PageLink("default.asp?CAT=" & intCategory & "&")
	Else
		'Call sub routime to create links to mutiple pages
		Call PageLink("default.asp?")
	End If
		
	Response.Write("</div>")
End If

%>
<!-- #include file="includes/page_layout_footer_inc.asp" -->
<!--#include file="includes/footer.asp" --><%
   
'Clean up  
Call closeDatabase()


%>